Package org.eclipse.m2m.atl.emftvm.util

# Class LazyOrderedSet.LongRangeOrderedSet

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet<Long>
org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet.LongRangeOrderedSet

All Implemented Interfaces:
  `Iterable<Long>`, `Collection<Long>`, `List<Long>`, `Set<Long>`

Enclosing class:
  LazyOrderedSet<E>

public static class LazyOrderedSet.LongRangeOrderedSet extends LazyOrderedSet<Long>
`LazyOrderedSet` that represents a range running from a first to last `Long`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`LazyOrderedSet.AppendOrderedSet<E>, LazyOrderedSet.ExcludingOrderedSet<E>, LazyOrderedSet.InsertAtOrderedSet<E>, LazyOrderedSet.IntegerRangeOrderedSet, LazyOrderedSet.LongRangeOrderedSet, LazyOrderedSet.NonCachingOrderedSet<E>, LazyOrderedSet.PrependOrderedSet<E>, LazyOrderedSet.ReverseOrderedSet<E>, LazyOrderedSet.SubOrderedSet<E>`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final long`
`first`
`protected final long`
`last`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`LongRangeOrderedSet(long first, long last)`
Creates a new `LazyList.LongRangeList`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(Object o)`
`int`
`count(Object object)`
Returns the number of occurrences of `object` in self.
`post: result <= 1`
`protected void`
`createCache()`
Creates the cache collections.
`Long`
`first()`
Returns the first element in self.
`Long`
`get(int index)`
`int`
`indexOf(Object o)`
`boolean`
`isEmpty()`
`Iterator<Long>`
`iterator()`
`Long`
`last()`
Returns the last element in self.
`int`
`lastIndexOf(Object o)`
`ListIterator<Long>`
`listIterator()`
`ListIterator<Long>`
`listIterator(int index)`
`int`
`size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`add, addAll, append, asOrderedSet, asString, at, collect, equals, excluding, excludingAll, flatten, hashCode, including, including, includingAll, includingAll, includingRange, indexOf2, insertAt, intersection, intersection, intersection, lastIndexOf2, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, subtract, subtract, symmetricDifference, union, union, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asSequence, asSet, clear, containsAll, containsAny, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, containsAll, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Set

`add, addAll, clear, containsAll, remove, removeAll, retainAll, spliterator, toArray, toArray`

## Field Details

### first

protected final long first

### last

protected final long last

## Constructor Details

### LongRangeOrderedSet

public LongRangeOrderedSet(long first, long last)
Creates a new `LazyList.LongRangeList`.

Parameters:
  `first` - the first object of the range to include
  `last` - the last object of the range to include

## Method Details

### createCache

protected void createCache()
Creates the cache collections.

Overrides:
  `createCache` in class `LazyOrderedSet<Long>`

### first

public Long first()
Returns the first element in self.

Overrides:
  `first` in class `LazyOrderedSet<Long>`
Returns:
  The first element in self.

### get

public Long get(int index)

Specified by:
  `get` in interface `List<Long>`
Overrides:
  `get` in class `LazyOrderedSet<Long>`

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<Long>`
Overrides:
  `indexOf` in class `LazyOrderedSet<Long>`

### last

public Long last()
Returns the last element in self.

Overrides:
  `last` in class `LazyOrderedSet<Long>`
Returns:
  The last element in self.

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<Long>`
Overrides:
  `lastIndexOf` in class `LazyOrderedSet<Long>`

### listIterator

public ListIterator<Long> listIterator()

Specified by:
  `listIterator` in interface `List<Long>`
Overrides:
  `listIterator` in class `LazyOrderedSet<Long>`

### listIterator

public ListIterator<Long> listIterator(int index)

Specified by:
  `listIterator` in interface `List<Long>`
Overrides:
  `listIterator` in class `LazyOrderedSet<Long>`

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<Long>`
Specified by:
  `contains` in interface `List<Long>`
Specified by:
  `contains` in interface `Set<Long>`
Overrides:
  `contains` in class `LazyCollection<Long>`

### count

public int count(Object object)
Returns the number of occurrences of `object` in self.
`post: result <= 1`

Overrides:
  `count` in class `LazyOrderedSet<Long>`
Parameters:
  `object` - the object to count
Returns:
  The number of occurrences of `object` in self.

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<Long>`
Specified by:
  `isEmpty` in interface `List<Long>`
Specified by:
  `isEmpty` in interface `Set<Long>`
Overrides:
  `isEmpty` in class `LazyCollection<Long>`

### iterator

public Iterator<Long> iterator()

Specified by:
  `iterator` in interface `Collection<Long>`
Specified by:
  `iterator` in interface `Iterable<Long>`
Specified by:
  `iterator` in interface `List<Long>`
Specified by:
  `iterator` in interface `Set<Long>`
Overrides:
  `iterator` in class `LazyOrderedSet<Long>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Long>`
Specified by:
  `size` in interface `List<Long>`
Specified by:
  `size` in interface `Set<Long>`
Overrides:
  `size` in class `LazyCollection<Long>`